/**
 * jQuery alterClass plugin
 *
 * Remove element classes with wildcard matching. Optionally add classes:
 *   $( '#foo' ).alterClass( 'foo-* bar-*', 'foobar' )
 *
 * Copyright (c) 2011 Pete Boere (the-echoplex.net)
 * Free under terms of the MIT license: http://www.opensource.org/licenses/mit-license.php
 *
 */
(function ( $ ) {
  
$.fn.alterClass = function ( removals, additions ) {
  
  var self = this;
  
  if ( removals.indexOf( '*' ) === -1 ) {
    // Use native jQuery methods if there is no wildcard matching
    self.removeClass( removals );
    return !additions ? self : self.addClass( additions );
  }
 
  var patt = new RegExp( '\\s' + 
      removals.
        replace( /\*/g, '[A-Za-z0-9-_]+' ).
        split( ' ' ).
        join( '\\s|\\s' ) + 
      '\\s', 'g' );
 
  self.each( function ( i, it ) {
    var cn = ' ' + it.className + ' ';
    while ( patt.test( cn ) ) {
      cn = cn.replace( patt, ' ' );
    }
    it.className = $.trim( cn );
  });
 
  return !additions ? self : self.addClass( additions );
};
 
})( jQuery );


$(document).ready(function(){
  $('.portfolio-slider').bxSlider({
    adaptiveHeight: true,
    mode: 'fade',
    controls: true,
    pagerCustom: '#bx-pager'
  });
  $('form').h5Validate();
  $('.ordernow').magnificPopup({
  	type:'inline',
  	removalDelay: 300,
  	midClick: true,
  	mainClass: 'mfp-fade',
  	tClose: 'Закрыть (Esc)'
  });
  $('.ordernow').click (function(){
  	$('#idform').val($(this).data('form-id'));
    $('.form-title').html($(this).data('form-title'));
  });

  $('.views__box').click (function(){
    $(this).toggleClass("active");
    $('.order-color').alterClass('color-*');
    $('.order-color').addClass($(this).data('form-color'))
  });

  $('.more-link').click (function() {
    $('.hidden').removeClass('hidden');
    $('.need-hide').addClass('hidden');
  })

  $('.img-popup').magnificPopup({
    type: 'image'
  });

  $('.iframe').magnificPopup({
    type:'iframe'
  }); 

  $("a.linkto").click(function () {
    var elementClick = $(this).attr("href")
    var destination = $(elementClick).offset().top;
    jQuery("html:not(:animated),body:not(:animated)").animate({scrollTop: destination}, 800);
    return false;
  });

});
